<!DOCTYPE html>
<html >
  <head>
    <meta charset="UTF-8">
    <title>Final Controller</title>
    
    
    
    <link rel='stylesheet prefetch' href='https://cdnjs.cloudflare.com/ajax/libs/materialize/0.96.1/css/materialize.min.css'>

        <link rel="stylesheet" href="css/style.css">

    
    
    
  </head>

  <body>

    <html ng-app="WebApp">
  <!-- Header -->
  <head> 
    <title>E-commerce</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/angular_material/0.9.4/angular-material.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=RobotoDraft:300,400,500,700,400italic">
    <meta name="viewport" content="initial-scale=1" />
    <script src="https://cdn.firebase.com/js/client/2.4.2/firebase.js"></script>
    
      <!-- Firebase -->
  <script src="https://cdn.firebase.com/js/client/2.2.4/firebase.js"></script>
  <script src="https://cdn.firebase.com/libs/angularfire/1.1.4/angularfire.min.js"></script>
  </head>
  
  <!-- Body -->
  <body ng-controller="LoginController" layout="column" class="page">
  
  <div class="row">
      <div class="page-header">
        <h1>{{ title }}</h1>
      </div>
    <div ui-view></div>
    
  </div>
  
  <script type="text/ng-template" id="login.html">
    <div class="input-login">
      <h3 id="title-login">Đăng nhập:</h3><br>
      
      
      <!-- Login -->
      
      <form ng-submit="formSubmit()" class="form">
        <div class="col-md-4">
          <div class="form-group">
            <input type="text" class="form-control" ng-model="username" placeholder="username" required=""/>
          </div>

          <div class="form-group">
            <input type="password" class="form-control" ng-model="password" placeholder="password" required=""/>
          </div>

          <div class="form-group">
            <button type="submit" class="btn-login">Login</button>
            <span class="text-danger">{{ error }}</span>
          </div>
          
        </div>
      </form>
    </div>
  </script>
 
  <script type="text/ng-template" id="product.html" ng-controller="ProductController">
  <div layout="row">
  <!-- Add Product form -->
  <form class="container" ng-submit="addProduct()" ng-show="AddFormShow">
  <h1>Add Form</h1>
         <div class="row">
         <!-- Input kind of Product -->
            <div class="input-field col s5">
               <i class="mdi-action-turned-in prefix"></i>
               <input ng-model="kind" type="number" min="1" max="4" placeholder="Kind" required>
               (Nước uống: kind=1, <br>Bánh mặn: kind=2, <br>Cơm văn phòng: kind=3, <br>Các sản phẩm khác: kind=4).
            </div>
            
           <!-- Input name of Product -->
            <div class="input-field col s5">
               <i class="mdi-action-info prefix"></i>
               <input ng-model="name" type="text" placeholder="Name" required>
            </div>
           
           <!-- Input image(link) of Product -->
            <div class="input-field col s5">
               <i class="mdi-action-picture-in-picture prefix"></i>
               <input ng-model="image" type="text" placeholder="Image" required>
            </div>
           
           <!-- Input cost of Product -->
           <div class="input-field col s5">
               <i class="mdi-editor-attach-money prefix"></i>
               <input ng-model="cost" type="text" placeholder="Cost" required>
            </div>
            
           <!-- Input content of Product -->
           <div class="input-field col s5">
               <i class="mdi-content-text-format prefix"></i>
               <input ng-model="content" type="text" placeholder="Content" required>
            </div>
           
           <!-- Submit -->
            <div class="input-field col s2">
               <button type="submit" class="btn-floating btn-large">
                  <i class="mdi-content-add"></i>
               </button>
            </div>
         </div>
      </form>
      
      <!-- Edit Product form -->
      <form class="container" ng-submit="editProduct()" ng-show="EditFormShow">
      <h1>Edit Form</h1>
         <div class="row">
         <!-- Input kind of Product -->
            <div class="input-field col s5">
               <i class="mdi-action-turned-in prefix"></i>
               <input ng-model="kind" type="number" min="1" max="4" placeholder="Kind" required>
               (Nước uống: kind=1, <br>Bánh mặn: kind=2, <br>Cơm văn phòng: kind=3, <br>Các sản phẩm khác: kind=4).
            </div>
            
           <!-- Input name of Product -->
            <div class="input-field col s5">
               <i class="mdi-action-info prefix"></i>
               <input ng-model="name" type="text" placeholder="Name" required>
            </div>
           
           <!-- Input image(link) of Product -->
            <div class="input-field col s5">
               <i class="mdi-action-picture-in-picture prefix"></i>
               <input ng-model="image" type="text" placeholder="Image" required>
            </div>
           
           <!-- Input cost of Product -->
           <div class="input-field col s5">
               <i class="mdi-editor-attach-money prefix"></i>
               <input ng-model="cost" type="text" placeholder="Cost" required>
            </div>
            
           <!-- Input content of Product -->
           <div class="input-field col s5">
               <i class="mdi-content-text-format prefix"></i>
               <input ng-model="content" type="text" placeholder="Content" required>
            </div>
           
           <!-- Submit -->
            <div class="input-field col s2">
               <button type="submit" class="btn-floating btn-large">
                  <i class="mdi-content-add"></i>
               </button>
            </div>
         </div>
      </form>
      
      <!-- Display information of products-->
   <div class="container">
      <div class="wrapper">
         <table class="bordered">
            <thead>
               <tr>
                 <th data-field="name">Kind</th>
                 <th data-field="name">Name</th>
                 <th data-field="name">Image</th>
                 <th data-field="name">Cost</th>
                 <th data-field="name">Content</th>
                 <th data-field="acao">#</th>
               </tr>
            </thead>
            <tbody>
               <tr ng-repeat="product in products">
               		<td>{{product.kind}}</td>
                  <td>{{product.name}}</td>
                  <td>{{product.image}}</td>
                 <td>{{product.cost}}</td>
                 <td>{{product.content}}</td>
                  <td>
                  <p ng-click="showEditForm(product)">Edit</p>
                 <!-- delete product -->
                     <i class="btn-deletar mdi-content-remove-circle" ng-click="products.$remove(product)"></i>
                  </td>

                 <!-- save when having change -->
                  <input type="hidden" ng-model="product.name" ng-change="products.$save(product)">
               </tr>
            </tbody>
         </table>
      </div>
   </div>

</div>
 </script>
</div>
    
    
    
    
    
    
    
    
<script src="https://www.gstatic.com/firebasejs/live/3.0/firebase.js"></script>

    
    
    <script src="https://www.gstatic.com/firebasejs/3.0.5/firebase.js"></script>

     <!-- Angular Material Dependencies -->
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.3.15/angular.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.3.15/angular-animate.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.3.15/angular-aria.min.js"></script>

    <script src="https://ajax.googleapis.com/ajax/libs/angular_material/0.9.4/angular-material.min.js"></script>
  </body>
</html>
    <script src='https://cdnjs.cloudflare.com/ajax/libs/materialize/0.96.1/js/materialize.min.js'></script>
<script src='https://ajax.googleapis.com/ajax/libs/angularjs/1.3.15/angular.min.js'></script>
<script src='https://cdn.firebase.com/js/client/2.2.4/firebase.js'></script>
<script src='https://cdn.firebase.com/libs/angularfire/1.1.1/angularfire.min.js'></script>
<script src='https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
<script src='https://cdnjs.cloudflare.com/ajax/libs/angular-ui-router/0.2.18/angular-ui-router.js'></script>

        <script src="js/index.js"></script>

    
    
    
  </body>
</html>
